Описание котиков REST

Мы хотим реализовать приложение, которое позовлит каталогизировать котиков.

- получить список текущих изветных котиков `get /cats`
- посмотреть на конкретного пушистика, у каждого пушистика есть уникальный номер `get /cats/:id`
- добавить нового кота, показать форму для добавления `get /cats/new`
- обработать форму добавления котика `post /cats/new`
  - если пользователь ошибся, не указал цвет пушистика или не приложил ФОТОЧКУ, то надо попросить его ввести всю информацию, т.е. показать форму заново. Важно! Не потерять данные, что ввёл пользователь.
  - если пользователь всё сделал хорошо, то надо показать добавленную информацию ЛИБО вернув ко списку, либо показав страницу пушистика
- получить форму для редактирования информации о котике `get /cats/:id/edit`
- обработать форму для редакриторвания мурлыки `post (put) /cats/:id`
- аналогично удаление
- потенциально вы можете позволить изменить сразу весь список котиков. Для решения этой задачи на финальном этапе следует обратиться с запросом `post /cats`

Данная схема хороша и для людей. Т.е. люди могут в любой момент скопировать ссылку и поделиться с другими. И она хороша для машин. Т.е. если вы ведёте общение с ресурсом, который взаимодействует путём отправки и получения JSON, то у вас всегда будет понимание целей, которые есть у пользователя.

У нас остался вопрос: что делать с большим количеством данных. Котиков как никак 40 милионов.

Для решения задачи разобъём вывод списка на страницы. Для этих целей достаточно добавить обработку параметров в запрос `get /cats`. Варианты параметров:

- page
- page_size
- start_number
- color
- fluffiness
